> # NAME

> TexGenSMode - 3D API tex gen S mode

> # USAGE

> TexGenSMode[i] = int(mode)

> # VALID ENUMERANTS

> mode: ObjectLinear, EyeLinear, SphereMap, ReflectionMap, NormalMap

> # DESCRIPTION

> Specify the S texture coordinate generation mode. See the GL_TEXTURE_GEN_MODE description on the OpenGL glTexGen manual page for details.

> The standard reset callback sets the TexGenSMode[i] state to int(EyeLinear).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> Not applicable.

> # SEE ALSO

> TexGenSEnable, TexGenSEyePlane, TexGenSObjectPlane, TexGenQMode, TexGenRMode, TexGenTMode